net.sf.okapi.common

## Interface IParameterDescriptor

- All Known Implementing Classes:
    AbstractPart, CheckboxPart, CheckListPart, CodeFinderPart, FolderInputPart, ListSelectionPart, ParameterDescriptor, PathInputPart, SeparatorPart, SpinInputPart, TextInputPart, TextLabelPart

      public interface IParameterDescriptor

  Provides the different information common to all types of parameters used to configure steps, filters, and other okapi components.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the localizable name of this parameter.
    `java.lang.String` | `getName()` Gets the programming name of this parameter.
    `java.lang.Object` | `getParent()` Gets the object where this parameter is instantiated.
    `java.lang.reflect.Method` | `getReadMethod()` Gets the method to obtain the current value of this parameter.
    `java.lang.String` | `getShortDescription()` Gets the short localizable description of this parameter.
    `java.lang.reflect.Type` | `getType()` Gets the type of this parameter.
    `java.lang.reflect.Method` | `getWriteMethod()` Gets the method to set a new value for this this parameter.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the localizable name of this parameter.
    `void` | `setShortDescription(java.lang.String shortDescription)` Gets the short localizable description of this parameter.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets the programming name of this parameter. the name must follow the JavaBean naming conventions. For example, a parameter accessible by `getMyText` and `setMyText` must be named `myText`
      Returns:
        the programming name of this parameter.

    - #### getDisplayName

          java.lang.String getDisplayName()

      Gets the localizable name of this parameter.
      Returns:
        the localizable name of this parameter.

    - #### setDisplayName

          void setDisplayName(java.lang.String displayName)

      Sets the localizable name of this parameter.
      Parameters:
        `displayName` - the new localizable name of this parameter.

    - #### getShortDescription

          java.lang.String getShortDescription()

      Gets the short localizable description of this parameter.
      Returns:
        the short localizable description of this parameter.

    - #### setShortDescription

          void setShortDescription(java.lang.String shortDescription)

      Gets the short localizable description of this parameter.
      Parameters:
        `shortDescription` - the new short localizable description of this parameter.

    - #### getType

          java.lang.reflect.Type getType()

      Gets the type of this parameter.
      Returns:
        the type of this parameter.

    - #### getReadMethod

          java.lang.reflect.Method getReadMethod()

      Gets the method to obtain the current value of this parameter.
      Returns:
        the method to get the current value of this parameter.

    - #### getWriteMethod

          java.lang.reflect.Method getWriteMethod()

      Gets the method to set a new value for this this parameter.
      Returns:
        the method to set a new value of this parameter.

    - #### getParent

          java.lang.Object getParent()

      Gets the object where this parameter is instantiated.
      Returns:
        the object where this parameter is instantiated.